/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *                                     .                                     *
 *                                   Video                                   *
 *                                                                           *
 *                    (c) Copyright 1988 Michael K. Heney                    *
 *                                                                           *
 * File:      VideoID.H                                                      *
 * Purpose:   VideoID header file.                                           *
 *                                                                           *
 * Written:   15 Jul 88 - 16 Jul 88 MKH                                      *
 *                                                                           *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
 
enum videocard { None, MDA, CGA, EGA, MCGA, VGA, HGC=0x80, HGCPlus, InColor } ;
 
enum display { NoDisplay, MDADisplay, CGADisplay, EGAColorDisplay,
               PS2MonoDisplay, PS2ColorDisplay } ;
 
/* VideoID returns 4 bytes as a long, representing (from high order to low   *
 * order bytes) the active videocard, active display, second videocard, and  *
 * second display.  It is built using the formula                            *
 * ( ( ( ( ( (active videocard << 8) | active display) << 8) |               *
 *                 2nd videocard) << 8) | 2nd display)                       */
 
extern long VideoID() ;
